wxRuby Documentation Home

# Wx::BusyCursor

This class makes it easy to tell your user that the program is
temporarily busy. Just call the class method busy,
passing it a block; while the block is executed, the system’s hourglass
cursor will be displayed.

For example:

Wx::BusyCursor.busy do

1. do some lengthy operation
2. …
   end

## Derived from

None

## See also

BusyInfo, WindowDisabler

## Class methods

- BusyCursor.busy

### BusyCursor.busy

BusyCursor.busy() { … }

Changes the cursor into the system’s ‘busy’ indicator (typically an
hourglass), calls the passed block, then returns the cursor to normal
once the block is completed.

[This page automatically generated from the Textile source at 2023-06-09 00:45:31 +0000]